### Virtual Method

# Pango.Renderer.draw_rectangle

#### Declaration [src]

    void
    draw_rectangle (
      PangoRenderer* renderer,
      PangoRenderPart part,
      int x,
      int y,
      int width,
      int height
    )

#### Description [src]

Draws an axis-aligned rectangle in user space coordinates with the specified `PangoRenderer`.

This should be called while `renderer` is already active. Use `pango_renderer_activate()` to activate a renderer.

#### Parameters

`part` | `PangoRenderPart`
| type of object this rectangle is part of
`x` | `int`
| X position at which to draw rectangle, in user space coordinates in Pango units
`y` | `int`
| Y position at which to draw rectangle, in user space coordinates in Pango units
`width` | `int`
| width of rectangle in Pango units
`height` | `int`
| height of rectangle in Pango units